PRUNE-ALI(1)

NAME
prune-ali.pl - Prune sequences from ALI files based on id lists

VERSION
version 0.212670

USAGE
    prune-ali.pl <infiles> [optional arguments]

REQUIRED ARGUMENTS

<infiles>
    Path to input IDL files [repeatable argument].

OPTIONAL ARGUMENTS

--in[-strip]=<str>
    Substring(s) to strip from infile basenames before attempting to derive other infile (e.g., ALI files) and outfile names [default: none].

--out[-suffix]=<suffix>
    Suffix to append to (possibly stripped) infile basenames for deriving outfile names [default: none]. When not specified, outfile names are taken from infiles but original infiles are preserved by being appended a .bak suffix.

--[no]guessing
    [Don't] guess whether sequences are aligned or not [default: yes].

--from-must
    Consider the input file as generated by ed/treeplot [default: no]. Currently, this switches to the legacy .lis format (instead of the modern .idl format).

--negate-list
    Interpret the list as a negative list instead of a positive list [default: no]. This means that seqs corresponding to listed ids are discarded.

--reorder
    Reorder sequences following list [default: no].

--version
--usage
--help
--man
    Print the usual program information

AUTHOR
Denis BAURAIN <denis.baurain@uliege.be>

COPYRIGHT AND LICENSE
This software is copyright (c) 2013 by University of Liege / Unit of Eukaryotic Phylogenomics / Denis BAURAIN.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.